%global srcname pyquery

Name:           python-%{srcname}
Version:        1.2.9
Release:        %mkrel 1
Summary:        A jquery-like library for python

Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/pyquery
Source0:        https://pypi.python.org/packages/source/p/pip/%{srcname}-%{version}.zip

BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

Requires:       pythonegg(2)(setuptools)

%description
pyquery allows you to make jquery queries on xml documents.
The API is as much as possible the similar to jquery.
pyquery uses lxml for fast xml and html manipulation.

%package -n     python3-%{srcname}
Summary:        A jquery-like library for python 3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

Requires:       pythonegg(3)(setuptools)

%description -n python3-%{srcname}
pyquery allows you to make jquery queries on xml documents.
The API is as much as possible the similar to jquery.
pyquery uses lxml for fast xml and html manipulation.
This is the Python 3 build of %{srcname}.

%prep
%setup -q -n %{srcname}-%{version}

# Remove bundled egg-info
rm -rf %{srcname}.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%doc CHANGES.rst README.rst
%{python2_sitelib}/pyquery/
%{python2_sitelib}/pyquery*.egg-info

%files -n python3-%{srcname}
%doc CHANGES.rst README.rst
%{python3_sitelib}/pyquery/
%{python3_sitelib}/pyquery*.egg-info


%changelog
* Fri Dec 18 2015 daviddavid <daviddavid> 1.2.9-1.mga6
+ Revision: 911554
- new version: 1.2.9
- add python 3 package
- use new python macros
- add doc files

* Wed Oct 15 2014 umeabot <umeabot> 1.2.4-7.mga5
+ Revision: 741543
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.4-6.mga5
+ Revision: 729522
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.4-5.mga5
+ Revision: 688272
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.2.4-3.mga4
+ Revision: 544059
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2.4-2.mga4
+ Revision: 499266
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Jul 01 2013 neoclust <neoclust> 1.2.4-1.mga4
+ Revision: 448794
- imported package python-pyquery

